<ion-header class="ion-no-border" translucent>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button autoHide="false" color="primary"></ion-menu-button>
    </ion-buttons>

    <ion-title color="primary" class="ion-text-center">
      <ion-text color="medium">
          <small class="ion-font-sm">Localizacion</small>
      </ion-text>

      <h6 class="ion-m-0 ion-font-md">Ave 27 de Febrero</h6>
  </ion-title>

    <ion-buttons slot="end">
      <ion-button fill="clear" color="primary" routerLink="/app/busqueda">
        <ion-icon name="search-outline" slot="icon-only"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true" id="main">
  <div class="fade-animation">
    <ion-grid>
      <ion-row class="ion-align-items-center">
        <ion-col size="auto">
          <ion-label>
            <h1 class="ion-font-bold ion-my-3">
              Que te gustaria<br>comer hoy?
            </h1>
          </ion-label>
        </ion-col>
        <ion-col size="auto" class="ion-ml-auto">
          <ion-icon name="fast-food-outline" color="medium" style="font-size: 36px;"></ion-icon>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col size="12">
          <div class="scroll-x non-scrollbar">
            <ng-container *ngFor="let c of service.data[0]?.categories">
              <app-categoria-item [title]="c.name" [icon]="c.thumbnail" (click)="service.onCategory(c)"></app-categoria-item>
            </ng-container>
          </div>
        </ion-col>
      </ion-row><br>

      <ion-row>
        <ion-col size="12">
          <ion-slides>
            <ion-slide>
              <menu-offer routerLink="/app/menu" (click)="service.model = service.data[0]?.shops[0]"></menu-offer>
            </ion-slide>
            <ion-slide>
              <menu-offer title="Bebidas Gratis" imageURL="assets/img/little-caesars-food.jpg" thumbnail="assets/img/little-caesars-logo.png"
                details="Refrecos gratis por la compra de cualquier producto" routerLink="/app/menu" (click)="service.model = service.data[0]?.shops[3]">
              </menu-offer>
            </ion-slide>
          </ion-slides>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col size="12">
          <ion-label>
            <h6 class="ion-font-bold">Principales Favoritos</h6>
            <p class="ion-font-sm">Lorem ipsum dolor sit amet consectetur.</p>
          </ion-label>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col size="12">
            <ion-slides class="ion-slides-custom">
                <ng-container *ngFor="let p of service.promo">
                    <ion-slide>
                        <card-doble [title]="p.name" [rating]="p.rating" [imgURL]="p.imgURL" [payment]="p?.creditCards?.length > 0"
                            [delivery]="p.delivery" (click)="service.onMenu(p)">
                        </card-doble>
                    </ion-slide>
                </ng-container>
            </ion-slides>
        </ion-col>
    </ion-row><br>

      <ion-row>
        <ion-col size="12">
          <ion-label>
            <h6 class="ion-font-bold">Ofertas del dia</h6>
            <p class="ion-font-sm">Lorem ipsum dolor sit amet consectetur.</p>
          </ion-label>
        </ion-col>
      </ion-row>

      <ion-row>
        <ion-col size="12">
          <app-mini-card title="Combo mini" subtitle="Burger King" rating="4.5" [time]="'10 min'"
            [price]="175" imgURL="assets/img/burger-king-food.jpg" routerLink="/app/menu"
            (click)="service.model = service.data[0]?.shops[0]">
          </app-mini-card>
        </ion-col>
      </ion-row><br>

      <ion-row>
        <ion-col size="12">
          <ion-label>
            <h6 class="ion-font-bold">Locales Cercanos</h6>
            <p class="ion-font-sm">Lorem ipsum dolor sit amet consectetur.</p>
          </ion-label>
        </ion-col>
      </ion-row>

      <ion-row>
        <ng-container *ngFor="let r of service?.data[0]?.shops;">
          <ion-col size="12" sizeMd="6">
            <app-card-detail [title]="r.name" [rating]="r.rating" [thumbnail]="r.thumbnail" [categories]="r.categories"
            [imgURL]="r.imgURL" (click)="service.onMenu(r)">
          </app-card-detail>
          </ion-col>
        </ng-container>
      </ion-row>

    </ion-grid>
  </div>
</ion-content>